<template>
    <aside class="menu">
    <p class="menu-label">
        General
    </p>
    <ul class="menu-list">
        <li><nuxt-link to="/admin" exact>Dashboard</nuxt-link></li>
    </ul>
    <p class="menu-label">
        Articles Manager
    </p>
    <ul class="menu-list">
        <li><nuxt-link to="/admin/articles" exact>All Articles</nuxt-link></li>
        <li><nuxt-link to="/admin/articles/add-new" exact>Add New</nuxt-link></li>
    </ul>
    </aside>
</template>

<style scoped>
.menu {
    background-color: #1D2B36;
    padding: 10px;
    position: fixed;
    top: 52px;
    height: calc(100% - 3rem);
    overflow-y: auto;
    width: 240px;
}
.menu-label {
    color: #dcdcdc;
}
.menu-list a {
    color: #ffffff;
}
.menu-list a:hover {
    background-color: #7957d5;
}

.menu::-webkit-scrollbar-track
{
	// border-radius: 10px;
	background-color: #1D2B36;
}
.menu::-webkit-scrollbar-track:hover
{
	// border-radius: 10px;
	background-color: #1D2B36;
}
.menu::-webkit-scrollbar
{
	width: 8px;
	background-color: #F5F5F5;
}
.menu::-webkit-scrollbar-thumb
{
	border-radius: 10px;
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
	background-color: rgba(255, 255, 255, 0.5);
}
.menu::-webkit-scrollbar-thumb:hover
{
    background-color: rgba(255, 255, 255, 0.8);
}
</style>